header {
    padding: 23px 0;
    background: $background;


    @media (max-width: $tablet-width) {
        position: absolute;
        width: 100%;
        left: 0;
        z-index: 10;
        top: 0;
    }

    &.fixed {
        position: fixed;
    }
}

.navbar {
    @media (max-width: $tablet-width) {
        position: relative;
    }

    &__logo {
        z-index: 10;

        a {
            font-family: 'FuturaDemiC', sans-serif;
            color: $main-color;
            font-size: 14px;
            line-height: 16px;
            text-transform: uppercase;

            @media (max-width: $tablet-width) {
                font-size: 12px;
            }
        }

    }

    &-block {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    &__menu {
        ul {
            padding: 0;
            list-style-type: none;
            margin: 0;
            display: flex;

            li {
                margin: 0 22px;

                a {
                    color: $secondary-color;
                    font-size: 14px;
                    line-height: 16px;
                    transition: all .3s;

                    &:hover {
                        color: $main-color;
                    }
                }
            }
        }

        @media (max-width: $desktop-width) {
            ul {
                li {
                    margin: 0 5px;

                }
            }
        }

        @media (max-width: $tablet-width) {
            // display: none;
            position: fixed;
            top: -100%;
            left: 0;
            width: 100%;
            height: 100%;
            background: $background;
            transition: all .3s ease 0s;
            overflow: auto;

            ul {
                padding: 100px 18px 0;
                display: flex;
                flex-direction: column;

                li {
                    margin-bottom: 15px;

                    a {
                        font-size: 16px;
                    }
                }
            }

            &.active {
                z-index: 2;
                top: 0;
            }
        }
    }

    &__phone {
        margin-right: 45px;
        color: $main-color;
        text-decoration: underline;
        font-size: 14px;
        line-height: 16px;

        @media (max-width: $desktop-width) {
            margin-right: 15px;
        }

        @media (max-width: $tablet-width) {
            margin: 0;
            font-size: 12px;
            color: $secondary-color;
            text-decoration: none;
        }
    }

    &__call {
        @media (max-width: $tablet-width) {
            display: none;
        }

        .button {
            @media (max-width: $tablet-width) {
                display: none;
            }
        }
    }

    &__burger {
        display: none;

        @media (max-width: $tablet-width) {
            display: block;
            position: relative;
            width: 30px;
            height: 20px;
            z-index: 3;

            span {
                position: absolute;
                width: 100%;
                height: 2px;
                left: 0;
                top: 9px;
                background: $secondary-color;
                display: block;
                transition: all .3s ease 0s;

            }

            &::before,
            &::after {
                content: '';
                background: $secondary-color;
                position: absolute;
                width: 100%;
                height: 2px;
                left: 0;
            }

            &::before {
                top: 0;
                transition: all .3s ease 0s;

            }

            &::after {
                bottom: 0;
                transition: all .3s ease 0s;

            }

            &.active span {
                transform: scale(0);
            }

            &.active::before {
                transform: rotate(45deg);
                top: 9px;
            }

            &.active::after {
                transform: rotate(-45deg);
                bottom: 9px;
            }
        }
    }
}